<?php 
require_once 'model.master.php';

class ReportModel extends ModelMaster{
	private $pdo;

	public function __CONSTRUCT(){
		$this->pdo = parent::getConexion();
	}
	
	//Agrupamos por carpetas para generar nuestro reporte	
	public function Carpetas_Importadas(){
		try
		{
			//$sql = "SELECT *FROM usuarios WHERE estado = 1";
			$resultado = array();
			$comando = $this->pdo->prepare("SELECT campo16 AS 'carpeta' FROM tmp_document_report GROUP BY campo16");
			$comando->execute(array());

			foreach($comando->fetchAll(PDO::FETCH_OBJ) as $fila){
				$filaDatos = array();
				$filaDatos[] = $fila->carpeta;

				$resultado[] = $filaDatos;
			}

			return $resultado;
		}
		catch(Exception $e){
			die($e->getMessage());
		}
	}

	//Obtenemos los registros para el reporte

	public function Listar_TablaImport($carpeta){
		try
		{
			//$sql = "SELECT *FROM usuarios WHERE estado = 1";
			$resultado = array();
			$comando = $this->pdo->prepare("SELECT *FROM tmp_document_report WHERE campo16 = ?");
			$comando->execute(array($carpeta));

			foreach($comando->fetchAll(PDO::FETCH_OBJ) as $fila){
				$filaDatos = array();
				$filaDatos[] = $fila->iddocument; // 0
				$filaDatos[] = $fila->campo9; // Size 1
				$filaDatos[] = $fila->campo10; // FEcha 2
				$filaDatos[] = $fila->campo11; // Nombre 3
				$filaDatos[] = $fila->campo13; // Extensión 4
				$filaDatos[] = $fila->campo15; //Migrado 5

				$resultado[] = $filaDatos;
			}

			return $resultado;
		}
		catch(Exception $e){
			die($e->getMessage());
		}
	}
	
}

?>